Function
reserve
Increases the capacity.
Size reserve(object, new_capacity [, resize_tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: Block String, Packed String, std::basic_string, std::vector, String
new_capacity | The new capacity object will get.
resize_tag | Specifies the strategy that is applied for changing the capacity. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowExplicit.

Remarks
For STL Adaptions, reserve is only guaranteed to have the specified behaviour with Insist and Generous.
At the end of the operation, capacity(me) can be larger than new_capacity. If new_capacity is smaller than capacity(me) at the beginning of the operation, the operation need not to change the capacity at all.
This operation does not changes the content of object.
For STL Adaptions, reserve is only guaranteed to have the specified behaviour with Insist and Generous.
Note: This operation may invalidate iterators of object.
Return Values
The ammout of the requested capacity that was available. That is the function returns the minimum of new_capacity and capacity(me).
Metafunctions: Size
See Also
capacity, shrinkToFit, resize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48